﻿// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//
// Copyright (c) Microsoft Corporation. All rights reserved.

namespace Microsoft.Samples.Commerce.Catalog.CommerceEntities
{
    using Microsoft.Commerce.Contracts;

    /// <summary>
    /// BaseCommerceEntityWrapper class.
    /// </summary>
    public class BaseCommerceEntityWrapper
    {
        /// <summary>
        /// The entity instance.
        /// </summary>
        private CommerceEntity commerceEntity;

        /// <summary>
        /// Gets or sets the commerce entity.
        /// </summary>
        /// <value>The commerce entity.</value>
        public CommerceEntity CommerceEntity
        {
            get { return this.commerceEntity; }
            set { this.commerceEntity = value; }
        }
    }
}
